Is this true?

Discussion in 'Wii U - Hacking & Backup Loaders' started by veraci_00, Apr 28, 2016.

  1. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    "Erm, I brought up the WiiU since you claimed it "stopped a 5.5.0", which is untrue, as 5.5.1 is identical to 5.5.0 as far as the available exploits goes. Theres only a tiny change in the webkit between the 2 versions, a change that did NOT affect the userland exploit. I know for a FACT the userland exploit works just fine on 5.5.1 without a single change from 5.5.0." I thought u couldn't hack a system on 5.5.1.
     


  2. NWPlayer123

    NWPlayer123 GBAtemp Addict

    Member
    2,629
    6,226
    Feb 17, 2012
    United States
    The Everfree Forest
    You can, Nintendo tried to patch libstagefright, they patched our version in 5.5.1, yellows8 thought theirs was patched but it wasn't, and everyone's been using it since. What firmware version do you think I've been on this entire time :rolleyes:
    EDIT: Also, how many times have I told 5.5.0 users to update to 5.5.1 while they still can, I can count at least 7 in the past two months
     
    Last edited by NWPlayer123, Apr 28, 2016
  3. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    I don't know u, so I wouldn't know.
     
  4. NWPlayer123

    NWPlayer123 GBAtemp Addict

    Member
    2,629
    6,226
    Feb 17, 2012
    United States
    The Everfree Forest
  5. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    if the main point of entry is the web, how can I use loadiine on 5.5.1 if the web has been patched?

    I don't understand y anyone would complain about loadiine on 5.5.1 if it at least worked. I'm not talking about things that haven't been released. I'm talking about what exists and is usable.
     
    Last edited by veraci_00, Apr 28, 2016
  6. NWPlayer123

    NWPlayer123 GBAtemp Addict

    Member
    2,629
    6,226
    Feb 17, 2012
    United States
    The Everfree Forest
    You need a kernel exploit for loadiine, the payload itself you can run just fine using a number of things, I use "HaxServer" and if you wanna selfhost MP4s you just grab the compiled binary and use "BIN2MP4", no getting around a kernel exploit tho but my 5.5.X ELF Loader works great, you can run hello world, how fun c:
     
    Last edited by NWPlayer123, Apr 28, 2016
    eco95 likes this.
  7. nero99

    nero99 GBAtemp Advanced Maniac

    Member
    1,905
    866
    Sep 18, 2014
    United States
    yellows8 thought theirs was patched but it wasn't
     
  8. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    then y do people care about a kernel exploit if everything is doable?
     
  9. buda81

    buda81 GBAtemp Regular

    Member
    188
    59
    Sep 13, 2009
    United States
    you need to read the stickies.
     
    nxwing likes this.
  10. urherenow

    urherenow GBAtemp Addict

    Member
    2,915
    845
    Mar 8, 2009
    United States
    Japan
    Because everything ISN'T. Namely ANYTHING that requires kernel access. Such as... loadliine.
     
    NWPlayer123 likes this.
  11. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    for example, the definitive guide to wiiu hacking says that the exploitable firmwares r 5.3.2 or 5.4.0. it says nothing about 5.5.0 or 5.5.1.
     
  12. NWPlayer123

    NWPlayer123 GBAtemp Addict

    Member
    2,629
    6,226
    Feb 17, 2012
    United States
    The Everfree Forest
    When 5.5.0 came out and we found out it fixed the OSDriver CopyToSaveArea race attack (the "first" kernel exploit), we saw zero need to keep it private and uploaded it all to Github.
    The "second" kernel exploit that MN1 made cause the race attack was so unreliable has yet to be patched and is also not public, thus the average GBAtemp user cannot use anything that requires it such as loadiine and Cafiine and pyGecko/TCPGecko.
    I happen to have it cause I've been close to MN1 for almost 5 years now, and I've been trying to port everything to 5.5.1 both so I can use it and so everyone else can if/when it is made public.
    The reason there's nothing on 5.5.0 or 5.5.1 is cause without a kernel exploit all you can really run is Hello World (in ELF or binary version from libwiiu), Pong, and that Drawing app I made forever ago that's also in libwiiu, so nobody's really bothered with the little details when all the big stuff is happening on 5.3.2/5.4.0
     
    eco95 and Uwabami like this.
  13. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    still not answering my question - is loadiine usable on 5.5.1?
     
  14. Droyd

    Droyd GBAtemp Regular

    Member
    159
    91
    Jan 3, 2016
    Macau
    Yes, how fun :( (Translation= please release the exploit).
     
    nxwing and NWPlayer123 like this.
  15. Cava

    Cava GBAtemp Advanced Fan

    Member
    601
    199
    Jan 26, 2016
    Hungary
    Yes. You just need the kernel exploit but it's private yet.
     
  16. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    that's what I don't get. if the exploit isn't readily available, I can't say 5.5.1 or 5.5.0 is hacked. I think this is what most think.
     
  17. Keylogger

    Keylogger GBAtemp Advanced Maniac

    Member
    1,720
    366
    May 3, 2006
    France
    I have a kernel exploit and IOSU exploit for 5.5.x but I will keep it private and not release it because I don't like sharing to the community and I don't care about you.
     
    fukseliten and NWPlayer123 like this.
  18. Droyd

    Droyd GBAtemp Regular

    Member
    159
    91
    Jan 3, 2016
    Macau
    To make it simple:
    Imagine you have access to a room (the door giving access is the ELF loader), in this room you got a lamp working and also another room where "almost" all the electricity came from. So you can use lamps electricity (which is not that powerful) or get access to the next room which needs a key (kernel exploit) and gives you all the power.

    Hope it was more simple.
     
    Last edited by Droyd, Apr 28, 2016
  19. Pedeadstrian

    Pedeadstrian GBAtemp's Official frill-necked lizard.

    Member
    3,509
    1,560
    Oct 12, 2012
    United States
    Sandy Eggo
    Bald eagle hamburgers aren't readily available, but that doesn't mean they don't exist. It just means that a few elite people have access to them. Like Sarah Palin.
    It's okay, we don't care about you either.
     
    Uwabami likes this.
  20. veraci_00
    OP

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    Sarah Palin is about as useful as her master Donald Trump. both idiots. I don't think I'm one, but this posting has made me more confused than ever. it's like what I posted is true but isn't.